LiquidMenu_config.h File Reference
`#include <LiquidCrystal_I2C.h>`

Go to the source code of this file.

## Macros

#define | LIQUIDMENU_DEBUG false
"LiquidCrystal" libraries enumeration.
These defines are used for determining the compiler messages.
#define | LiquidCrystal_LIBRARY (1)
#define | LiquidCrystal_I2C_LIBRARY (2)
I2C library

See also
  https://github.com/johnrickman/LiquidCrystal_I2C

#define | LIQUIDMENU_LIBRARY LiquidCrystal_I2C_LIBRARY
#define | DisplayClass LiquidCrystal_I2C

## Variables

const uint8_t | MAX_VARIABLES = 5
| Configures the number of available variables per line. More...
const uint8_t | MAX_FUNCTIONS = 8
| Configures the number of available functions per line. More...
const uint8_t | MAX_LINES = 12
| Configures the number of available lines per screen. More...
const uint8_t | MAX_SCREENS = 14
| Configures the number of available screens per menu. More...
const uint8_t | MAX_MENUS = 8
| Configures the number of available menus per menus system. More...

## Detailed Description

Configuration file for LiquidMenu library.

Contains global constants the configure the size of some of the arrays used in the library, also configures the debugging messages.

## Macro Definition Documentation

## LIQUIDMENU_DEBUG

#define LIQUIDMENU_DEBUG false

Note
  Default: false

## Variable Documentation

## MAX_FUNCTIONS

const uint8_t MAX_FUNCTIONS = 8

Configures the number of available functions per line.

Note
  Default: 8

## MAX_LINES

const uint8_t MAX_LINES = 12

Configures the number of available lines per screen.

Note
  Default: 12

## MAX_MENUS

const uint8_t MAX_MENUS = 8

Configures the number of available menus per menus system.

Note
  Default: 8

## MAX_SCREENS

const uint8_t MAX_SCREENS = 14

Configures the number of available screens per menu.

Note
  Default: 14

## MAX_VARIABLES

const uint8_t MAX_VARIABLES = 5

Configures the number of available variables per line.

Note
  Default: 5